Bug 853173 - [abrt] gpaste-2.8.1-1.fc17: g_paste_item_equals: Process /usr/libexec/gpaste/gpasted was killed by signal 11 (SIGSEGV)
[abrt] gpaste-2.8.1-1.fc17: g_paste_item_equals: Process /usr/libexec/gpaste/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpaste (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:231d22e6d8316380b60b735f358...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 12:28 EDT by Bruce-Robert Pocock
Modified: 2013-08-01 04:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.12 KB, text/plain)
2012-08-30 12:29 EDT, Bruce-Robert Pocock
no flags Details
File: maps (28.70 KB, text/plain)
2012-08-30 12:29 EDT, Bruce-Robert Pocock
no flags Details
File: dso_list (6.06 KB, text/plain)
2012-08-30 12:29 EDT, Bruce-Robert Pocock
no flags Details

  None (edit)
Description Bruce-Robert Pocock 2012-08-30 12:28:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpasted
crash_function: g_paste_item_equals
executable:     /usr/libexec/gpaste/gpasted
kernel:         3.5.2-3.fc17.x86_64
pid:            2320
pwd:            /
remote_result:  NOTFOUND
time:           Mon 27 Aug 2012 12:04:54 PM EDT
uid:            1000
username:       brpocock

backtrace:      Text file, 13433 bytes
dso_list:       Text file, 6202 bytes
maps:           Text file, 29390 bytes

build_ids:
:4d43dcc4666c000682dd2313d6a8f83595967408
:4c9c864a7c7b7ed702088955821d58137803462d
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:bcd23277921a288b7aa615d869c1fb85fa4e0467
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:87712be648d2d43ea4cd002fe7a859df636f1e13
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:e3354959e32e471066df83c93f98f33e75198697
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:7c35310fc506498c612d5d982ab03becc4b4817c
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:d804f8ee47797da9213a92f00cd095ecada8d79f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:42147224a191a382ea9902023e3816f4caed1ef0
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4e4d2314f2fc2b53f8f4a9a4647142c87bb294cd
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:8f7c190397d7c1f617e66f18f759714662b60367
:f471398b2e1790e40a138fc0bfafe466a038cd6c
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:c102a4d8c2dcecb8b038ba274733f986ef96b3d6
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:da0831cf9c551543fbc94e797a102a57a30e790f
:726a299098b7695fc69d788f6b19468810c1ba6e
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/brpocock/2

comment:
:Recurring problem, possibly due to interactions with Emacs? Seems to crash in background sometimes when cutting/copying (C-W or M-W) a large block in Emacs — but, the nature of the thing is, I'm not generally paying attention to it, so I might not immediately notice.
:(In case the report isn't clear: GPaste is running as a Gnome Shell extension in the “status” area, by battery/net/volume…)

core_backtrace:
:bcd23277921a288b7aa615d869c1fb85fa4e0467 0x8bc0 g_paste_item_equals libgpaste.so.1 -
:bcd23277921a288b7aa615d869c1fb85fa4e0467 0x7b0c g_paste_history_add libgpaste.so.1 -
:bcd23277921a288b7aa615d869c1fb85fa4e0467 0x6ec4 - libgpaste.so.1 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x4822b - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:4e4d2314f2fc2b53f8f4a9a4647142c87bb294cd 0x39e8 - [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-eQ5vhtHvSw,guid=32e5bdb36059cd0480c667bd00000042
:XDG_RUNTIME_DIR=/run/user/brpocock
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=en_US.utf8
:SSH_AUTH_SOCK=/run/user/brpocock/keyring-0MnJ9b/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1693,unix/unix:/tmp/.ICE-unix/1693
:LC_MONETARY=en_US.utf8
:LC_NUMERIC=en_US.utf8
:LC_TIME=en_US.utf8
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=brpocock
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/brpocock/keyring-0MnJ9b/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eQ5vhtHvSw,guid=32e5bdb36059cd0480c667bd00000042
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-brpocock-zlbIfz/database
:USER=brpocock
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1689
:SHLVL=1
:PWD=/home/brpocock
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/run/user/brpocock/keyring-0MnJ9b
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=brpocock
:HOME=/home/brpocock

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63183                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63183                63183                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:socket:[26138]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[26141]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[24112]
:pos:	0
:flags:	02004002
:9:socket:[26142]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 5946233f-c9ac-4aec-ad27-7ff0dc419dfa
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4390.20
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2201
:System Memory: 7921
:System Swap: 9983
:Vendor: Hewlett-Packard
:System: HP ProBook 4530s A0001D02
:Form factor: Notebook
:Kernel: 3.5.2-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4156:5757) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:260:4156:5756) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:4156:5760) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:7171:4156:5756) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7241:4156:5756) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(6523:9106:4156:5756) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(6523:9105:4156:5756) pci, None, BASE, Standard SD Host Controller
:(6523:9107:4156:5756) pci, jmb38x_ms, BASE, MS Host Controller
:(4147:404:4156:5756) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:4156:5756) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5756) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4156:5756) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:278:4156:5757) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4156:5756) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4098:26464:4156:5757) pci, radeon, VIDEO, NI Seymour [AMD Radeon HD 6470M]
:(32902:7194:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:7188:4156:5756) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(5772:43:4156:5217) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_mcna-lv_root / ext4 4096 4096 117533036 86994085 85800220 29851648 29295795 29295795
:/dev/sda1 /boot ext4 1024 1024 495844 389312 363712 128016 127608 127608
:

var_log_messages:
:Aug 27 01:09:58 BRPocock kernel: [110243.022473] [ 2338]  1000  2338   119511      100   4       0             0 gpasted
:Aug 27 12:04:54 BRPocock kernel: [ 2050.917053] gpasted[2320]: segfault at 0 ip 00000033b7008bc0 sp 00007fff39b125e8 error 4 in libgpaste.so.1.0.0[33b7000000+11000]
:Aug 27 12:04:55 BRPocock abrt[3444]: Saved core dump of pid 2320 (/usr/libexec/gpaste/gpasted) to /var/spool/abrt/ccpp-2012-08-27-12:04:54-2320 (28340224 bytes)
Comment 1 Bruce-Robert Pocock 2012-08-30 12:29:01 EDT
Created attachment 608239 [details]
File: backtrace
Comment 2 Bruce-Robert Pocock 2012-08-30 12:29:04 EDT
Created attachment 608240 [details]
File: maps
Comment 3 Bruce-Robert Pocock 2012-08-30 12:29:05 EDT
Created attachment 608241 [details]
File: dso_list
Comment 4 bugzilla-redhat 2012-09-22 06:44:35 EDT
The GPaste applet is showing, but it hasn't updated its contents in about 1 month and new errors keep on popping up that the daemon has crashed.

backtrace_rating: 4
Package: gpaste-2.8.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Stuart Rothrock 2012-10-12 02:41:10 EDT
double-clicked to select text in gnome-terminal 

backtrace_rating: 4
Package: gpaste-2.8.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 22:33:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 04:39:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.